langcode: en
status: true
dependencies:
  theme:
    - eureka
label: Link
id: sdc.eureka.link
source: sdc
source_local_id: 'eureka:link'
provider: eureka
active_version: 75cd4fc564b8627b
versioned_properties:
  active:
    settings:
      prop_field_definitions:
        link_url:
          required: false
          field_type: string
          field_storage_settings: {  }
          field_instance_settings: {  }
          field_widget: string_textfield
          default_value:
            -
              value: 'https://zoocha.com'
          expression: ℹ︎string␟value
        link_content:
          required: false
          field_type: string
          field_storage_settings: {  }
          field_instance_settings: {  }
          field_widget: string_textfield
          default_value:
            -
              value: "Link to Zoocha's website"
          expression: ℹ︎string␟value
        link_cta:
          required: false
          field_type: boolean
          field_storage_settings: {  }
          field_instance_settings: {  }
          field_widget: boolean_checkbox
          default_value:
            -
              value: false
          expression: ℹ︎boolean␟value
        link_icon:
          required: false
          field_type: boolean
          field_storage_settings: {  }
          field_instance_settings: {  }
          field_widget: boolean_checkbox
          default_value:
            -
              value: false
          expression: ℹ︎boolean␟value
        link_icon_before:
          required: false
          field_type: boolean
          field_storage_settings: {  }
          field_instance_settings: {  }
          field_widget: boolean_checkbox
          default_value:
            -
              value: false
          expression: ℹ︎boolean␟value
        link_icon_name:
          required: false
          field_type: string
          field_storage_settings: {  }
          field_instance_settings: {  }
          field_widget: string_textfield
          default_value:
            -
              value: chevron
          expression: ℹ︎string␟value
    fallback_metadata:
      slot_definitions: {  }
  d55ed3a7bd7caec0:
    settings:
      prop_field_definitions:
        link_content:
          required: false
          field_type: string
          field_storage_settings: {  }
          field_instance_settings: {  }
          field_widget: string_textfield
          default_value:
            -
              value: "Link to Zoocha's website"
          expression: ℹ︎string␟value
        link_icon:
          required: false
          field_type: boolean
          field_storage_settings: {  }
          field_instance_settings: {  }
          field_widget: boolean_checkbox
          default_value:
            -
              value: false
          expression: ℹ︎boolean␟value
        link_icon_before:
          required: false
          field_type: boolean
          field_storage_settings: {  }
          field_instance_settings: {  }
          field_widget: boolean_checkbox
          default_value:
            -
              value: false
          expression: ℹ︎boolean␟value
        link_icon_name:
          required: false
          field_type: string
          field_storage_settings: {  }
          field_instance_settings: {  }
          field_widget: string_textfield
          default_value:
            -
              value: chevron
          expression: ℹ︎string␟value
        link_url:
          required: false
          field_type: string
          field_storage_settings: {  }
          field_instance_settings: {  }
          field_widget: string_textfield
          default_value:
            -
              value: 'https://zoocha.com'
          expression: ℹ︎string␟value
    fallback_metadata:
      slot_definitions: {  }
